> ## Documentation Index
> Fetch the complete documentation index at: https://docs.driv.ly/llms.txt
> Use this file to discover all available pages before exploring further.

# Get YearMakeModelTrims



## OpenAPI

````yaml Commerce get /yearmakemodeltrims
openapi: 3.1.0
info:
  title: Commerce
  version: '3.0'
  contact:
    email: samuel@driv.ly
    name: Samuel Lippert
    url: https://driv.ly/
  description: Drivly Commerce API
servers:
  - url: https://commerce.driv.ly/api
security: []
paths:
  /yearmakemodeltrims:
    parameters:
      - schema:
          type: integer
        name: depth
        in: query
        required: false
        description: The number of levels of related objects to include in the response
    get:
      summary: Get YearMakeModelTrims
      operationId: get-yearmakemodeltrims-list
      parameters:
        - schema:
            type: string
          in: query
          name: sort
          description: >-
            Pass the name of a top-level field to sort by that field in
            ascending order. Prefix the name of the field with a minus symbol
            ("-") to sort in descending order.
        - schema:
            type: number
          in: query
          name: limit
          description: Limit number of results, default 10
        - schema:
            $ref: '#/components/schemas/WhereYearMakeModelTrim'
          in: query
          name: where
          description: >-
            Search for results fitting criteria, uses qs library for query
            string parsing
      responses:
        '200':
          description: YearMakeModelTrims Found
          content:
            application/json:
              schema:
                allOf:
                  - type: object
                    properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/YearMakeModelTrim'
                      success:
                        type: boolean
                  - $ref: '#/components/schemas/ListModel'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 401
                      message: Unauthorized
                    success: false
        '429':
          description: Too Many Requests
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
                examples:
                  - error:
                      code: 429
                      message: Too Many Requests
                    success: false
components:
  schemas:
    WhereYearMakeModelTrim:
      type: object
      properties:
        and:
          type: array
          items:
            $ref: '#/components/schemas/WhereYearMakeModelTrim'
        or:
          type: array
          items:
            $ref: '#/components/schemas/WhereYearMakeModelTrim'
        yearMakeModel:
          type: object
          properties:
            equals:
              description: The value must be exactly equal.
            not_equals:
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        trim:
          type: object
          properties:
            equals:
              type: string
              description: The value must be exactly equal.
            not_equals:
              type: string
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
        yearMakeModelTrimSpec:
          type: object
          properties:
            equals:
              type: array
              description: The value must be exactly equal.
            not_equals:
              type: array
              description: >-
                The query will return all documents where the value is not
                equal.
            like:
              type: string
              description: >-
                Case-insensitive string must be present. If string of words, all
                words must be present, in any order.
            contains:
              type: string
              description: Must contain the value entered, case-insensitive.
            in:
              type: string
              description: >-
                The value must be found within the provided comma-delimited list
                of values.
            not_in:
              type: string
              description: >-
                The value must NOT be within the provided comma-delimited list
                of values.
            all:
              type: string
              description: >-
                The value must contain all values provided in the
                comma-delimited list.
            exists:
              type: boolean
              description: >-
                Only return documents where the value either exists (true) or
                does not exist (false).
    YearMakeModelTrim:
      $id: YearMakeModelTrim
      title: YearMakeModelTrim
      type: object
      description: YearMakeModel has Trim
      examples:
        - trim: SE
          yearMakeModel:
            year: 2022
            makeModel:
              make: Toyota
              model: Camry
          yearMakeModelTrimSpec:
            - vs_4jf8x9jv5c0b
            - id: vs_4jf8x9jv5c0b
              model: Camry
              make: Toyota
              squishVin: 4T1BF1FK5HU302396
              year: 2022
              engine: 2.5L 4-cylinder
              drivetrain: FWD
              bodyStyle: Sedan
              transmission: Automatic
              trim: SE
              exteriorColors:
                - Black
                - Silver
              interiorColors:
                - Black
                - Gray
      properties:
        yearMakeModel:
          oneOf:
            - type: object
              properties:
                makeModel:
                  oneOf:
                    - type: object
                      properties:
                        make:
                          type: string
                        model:
                          type: string
                      required:
                        - make
                        - model
                    - $ref: '#/components/schemas/MakeModel'
                year:
                  type: integer
              required:
                - makeModel
                - year
            - $ref: '#/components/schemas/YearMakeModel'
          description: YearMakeModelTrim is uniquely identified by YearMakeModel
        trim:
          type: string
          description: YearMakeModelTrim is uniquely identified by Trim
        yearMakeModelTrimSpec:
          type: array
          items:
            oneOf:
              - type: string
              - $ref: '#/components/schemas/VehicleSpec'
          description: YearMakeModelTrim has Vehicle Spec
      required:
        - yearMakeModel
        - trim
    ListModel:
      properties:
        page:
          type: number
          description: Current page number
          examples:
            - 2
        nextPage:
          type: number
          nullable: true
          description: '`number` of next page, `null` if it doesn''t exist'
          examples:
            - 3
        prevPage:
          type: number
          nullable: true
          description: '`number` of previous page, `null` if it doesn''t exist'
          examples:
            - 1
        totalPages:
          type: number
          description: Total pages available, based upon the `limit`
          examples:
            - 3
        totalCount:
          type: number
          description: Total available records within the database
          examples:
            - 25
        limit:
          type: number
          description: Limit query parameter, defaults to `10`
          examples:
            - 10
        pagingCounter:
          type: number
          description: '`number` of the first record on the current page'
          examples:
            - 11
        hasPrevPage:
          type: boolean
          description: '`true/false` if previous page exists'
          examples:
            - true
        hasNextPage:
          type: boolean
          description: '`true/false` if next page exists'
          examples:
            - true
    ErrorModel:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: number
            message:
              type: string
        success:
          type: boolean
    MakeModel:
      $id: MakeModel
      title: MakeModel
      type: object
      description: Make manufactured Model
      examples:
        - make: Toyota
          model: Camry
      properties:
        make:
          type: string
          description: MakeModel is uniquely identified by Make
        model:
          type: string
          description: MakeModel is uniquely identified by Model
      required:
        - make
        - model
    YearMakeModel:
      $id: YearMakeModel
      title: YearMakeModel
      type: object
      description: MakeModel was manufactured for Year
      examples:
        - year: 2022
          makeModel:
            make: Toyota
            model: Camry
      properties:
        makeModel:
          oneOf:
            - type: object
              properties:
                make:
                  type: string
                model:
                  type: string
              required:
                - make
                - model
            - $ref: '#/components/schemas/MakeModel'
          description: YearMakeModel is uniquely identified by MakeModel
        year:
          type: integer
          description: YearMakeModel is uniquely identified by Year
      required:
        - makeModel
        - year
    VehicleSpec:
      $id: VehicleSpec
      title: Vehicle Spec
      examples:
        - id: vs_4jf8x9jv5c0b
          make: Toyota
          year: 2022
          trim: SE
          model: Camry
          engine: 2.5L 4-cylinder
          squishVin: 4T1BF1FK5H
          bodyStyle: Sedan
          drivetrain: FWD
          transmission: Automatic
          exteriorColors:
            - Black
            - Silver
          interiorColors:
            - Black
            - Gray
      properties:
        id:
          type: string
          description: Vehicle Spec is uniquely identified by id
        model:
          type: string
          description: Vehicle Spec has Model
        make:
          type: string
          description: Vehicle Spec has Make
        squishVin:
          type: string
          minLength: 10
          maxLength: 10
          description: Vehicle Spec has Squish VIN
        year:
          type: integer
          description: Vehicle Spec has Year
        engine:
          type: string
          description: Vehicle Spec has Engine specifications
        drivetrain:
          type: string
          description: Vehicle Spec has Drivetrain
        bodyStyle:
          type: string
          description: Vehicle Spec has Body Style
        transmission:
          type: string
          description: Vehicle Spec has Transmission
        trim:
          type: string
          description: Vehicle Spec has Trim
        exteriorColors:
          type: array
          items:
            type: string
          description: Vehicle Spec has Exterior Color
        interiorColors:
          type: array
          items:
            type: string
          description: Vehicle Spec has Interior Color
      type: object
      required:
        - id
        - model
        - make
        - year
        - engine
        - drivetrain
        - bodyStyle
        - transmission

````